Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.pages
Class VelocityPage

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Page
              org.apache.turbine.modules.pages.DefaultPage
                  org.apache.turbine.modules.pages.TemplatePage
                      org.apache.turbine.modules.pages.VelocityPage

    public class VelocityPage

extends TemplatePage

Extends TemplatePage to set the template Context.

Version:
  $Id: VelocityPage.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Dave Bryson, John D. McNally, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.pages.DefaultPage
`actionLoader, layoutLoader, log, screenLoader`

Fields inherited from class org.apache.turbine.modules.Page
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityPage()`

Method Summary
`protected void` | `doBuildBeforeAction(PipelineData pipelineData)` Stuffs the Context into the RunData so that it is available to the Action module and the Screen module via getContext().
`protected void` | `doBuildBeforeAction(RunData data)` Deprecated. Use PipelineData version instead.
`protected void` | `doPostBuild(PipelineData pipelineData)` Allows the VelocityService to peform post-request actions.
`protected void` | `doPostBuild(RunData data)` Allows the VelocityService to peform post-request actions.

Methods inherited from class org.apache.turbine.modules.pages.TemplatePage
`doBuildAfterAction, doBuildAfterAction`

Methods inherited from class org.apache.turbine.modules.pages.DefaultPage
`doBuild, doBuild`

Methods inherited from class org.apache.turbine.modules.Page
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityPage

    public VelocityPage()

Method Detail

### doBuildBeforeAction

    @Deprecated
    protected void doBuildBeforeAction(RunData data)
                                throws Exception

  Deprecated. Use PipelineData version instead.

  Stuffs the Context into the RunData so that it is available to the Action module and the Screen module via getContext().

  Overrides:
    `doBuildBeforeAction` in class `DefaultPage`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doPostBuild

    protected void doPostBuild(RunData data)
                        throws Exception

  Allows the VelocityService to peform post-request actions. (releases the (non-global) tools in the context for reuse later)

  Overrides:
    `doPostBuild` in class `DefaultPage`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception`

### doBuildBeforeAction

    protected void doBuildBeforeAction(PipelineData pipelineData)
                                throws Exception

  Stuffs the Context into the RunData so that it is available to the Action module and the Screen module via getContext().

  Overrides:
    `doBuildBeforeAction` in class `DefaultPage`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doPostBuild

    protected void doPostBuild(PipelineData pipelineData)
                        throws Exception

  Allows the VelocityService to peform post-request actions. (releases the (non-global) tools in the context for reuse later)

  Overrides:
    `doPostBuild` in class `DefaultPage`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.